#include <ESP8266WiFi.h>
#include <UrsWiFiSerial.h>

const String SSID = ".....";     // durch die SSID des WLAN ersetzen
const String Password = "....."; // das WLAN-Passwort eintragen
const String WiFiSerialServer = "...."; // den Namen des TCP-Severs eintragen
const uint16_t WiFiSerialPort = 8080;   // Ggf. durch entsprechende Port-Nr. ersetzen.

UrsWiFiSerial WiFiSerial(64); // 64 Byte Zeichenpuffer

void setup()
{ Serial.begin(115200);

  // Verbindung zum WLAN
  Serial.println("Connecting to WLAN " + SSID);

  WiFi.begin(SSID.c_str(), Password.c_str());
  while (WiFi.waitForConnectResult() != WL_CONNECTED)
  { Serial.println(F("Connection Failed! Rebooting..."));
    delay(5000);
    ESP.restart();
  }

  Serial.print(F("\nConnected, station IP address: "));
  Serial.println(WiFi.localIP());

  if(WiFiSerial.begin(WiFiSerialServer, WiFiSerialPort))
   { Serial.print(F("WiFiSerial connected to server "));
     Serial.println(WiFiSerial.remoteIP());
   }
   else
     Serial.println("WiFiSerial connection failed");

   WiFiSerial.println("Hello Server");
   WiFiSerial.println("This is WiFiSerial speaking");
}
 
void loop() {
  if (!WiFiSerial.connected()) {
    if (WiFiSerial.begin(WiFiSerialServer, WiFiSerialPort)) {
      Serial.print(F("WiFiSerial connected to server "));
      Serial.println(WiFiSerial.remoteIP());
    }
    else
      Serial.println("WiFiSerial connection failed");
  } // !WiFiSerial.connected()
  
  // Block Print
   WiFiSerial.XmitOnLf = false; // Keine Sonderbehandlung bei '\n'
   for (uint8_t i = 0; i < 10; i++)
     WiFiSerial.println("123456789+123456789+123456789+"); // 10 Zeilen zu je 30 Zeichen in mglichst groen Blcken bertragen
   
   WiFiSerial.xmit(); // Rest aus dem Zeichenpuffer bertragen
   WiFiSerial.XmitOnLf = true;  // '\n' lst wieder die bertragung aus
   WiFiSerial.println("Das waren 300 Zeichen!");
   delay(5000);
}